Page MenuHomeFreeBSD

audio/idjc audio/shout-idjc
ClosedPublic

Authored by sbruno on May 24 2018, 3:34 PM.

Details

Reviewers
mat
Commits
rP471047: audio/idjc
Summary

Update to latest upstream.

audio/shout-idjc

  • This fixes some port problems too. shout-idjc seems to want to install an m4/shout.m4. I know this conflicts with audio/libshout. Instead, install an m4/shout-idjc.m4
  • Purge this "ckport" stuff that seems to be trying to install things for a package manager that I don't know about.
  • Update and chase MASTER_SITES

audio/idjc

  • Purge two patches that are no longer relevant.
  • Update and chase MASTER_SITES
  • Add explicit depnds on audio/opus

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sbruno created this revision.May 24 2018, 3:34 PM
sbruno edited the summary of this revision. (Show Details)May 24 2018, 3:38 PM
mat added a comment.May 24 2018, 9:10 PM

audio/idjc/pkg-plist seems badly sorted, could you run make makeplist and make sure you do not sort the output again?

audio/idjc/pkg-plist
1 ↗(On Diff #42932)

blank line.

audio/shout-idjc/pkg-plist
12 ↗(On Diff #42932)

blank line.

sbruno updated this revision to Diff 43053.May 27 2018, 8:06 PM
sbruno edited the summary of this revision. (Show Details)

Resort pkg-plist via makeplist.

sbruno marked 2 inline comments as done.May 27 2018, 8:07 PM
mat added inline comments.May 28 2018, 1:53 PM
audio/idjc/pkg-plist
38 ↗(On Diff #43053)

I would replace back all the %%PYTHON_PYOEXTENSION%% with pyo.

sbruno added inline comments.May 28 2018, 2:29 PM
audio/idjc/pkg-plist
38 ↗(On Diff #43053)

Ok. I don't care one way or the other.

Is this change by makeplist deprecated or not advisable any longer?

sbruno updated this revision to Diff 43070.May 28 2018, 2:48 PM

Remove MACRO for pyo files

mat accepted this revision.May 28 2018, 2:51 PM
mat added inline comments.
audio/idjc/pkg-plist
38 ↗(On Diff #43053)

Mmmm, maybe it was not a bad change, but it is only relevant for Python >= 3.5, so this would be a no-op here.

This revision is now accepted and ready to land.May 28 2018, 2:51 PM
This revision was automatically updated to reflect the committed changes.